// *#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#*#* Mx4kInputDemo.h *#*#*#*#*#*#*# (C) 2015-2021 DekTec
//

#pragma once

//.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- Include files -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-
#include <string>
#include <math.h>
#include "DTAPI.h"
#include "MxExamplesCommon.h"

// All code resides in MxExamples namespace
namespace MxExamples
{

//-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.- class Mx4kInputDemo -.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.-.
//
class Mx4kInputDemo : public MxDemoMatrixBase
{
    // Types / Contants
public:

 // Operations
public:
    virtual bool  Init(DtDevice&  TheCard);
protected:
    bool  PrepCard(DtDevice&  TheCard);
    static void  OnNewFrame(DtMxData* pData, void* pOpaque);

    // Data / Attributes
public:
protected:
    __int64  m_LastFrame;
    DtMxFrameStatus  m_LastStatus;
    int  m_NumAudioCh;
    
    // Constructor / Destructor
public:
    Mx4kInputDemo();
    virtual ~Mx4kInputDemo();
};

} // namespace MxExamples
